<?php
namespace EIS\Component\EIS\Administrator\View\Config;

\defined('_JEXEC') or die;

use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use EIS\Component\EIS\Administrator\Helper\SettingsHelper;

class HtmlView extends BaseHtmlView
{
    protected $pdfPath = '';

    public function display($tpl = null): void
    {
        $this->pdfPath = SettingsHelper::getSetting('document_root', '/var/www/pdf');
        parent::display($tpl);
    }

    public function getPdfPath(): string
    {
        return (string)$this->pdfPath;
    }
}
